%global selinux_release 20170922

# rpmbuild --with_fedora can't be used in COPR
# %bcond_without fedora
%global with_fedora 0

# %if 0%{?fedora} > 12
%if %{with_fedora}
%global with_python3 1
%else
%global with_python3 0
%endif

%define ruby_inc %(pkg-config --cflags ruby)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global	libauditver	2.1.3-4
%global libsepolver	2.7-99
%global	libsemanagever	2.7-99
%global	libselinuxver	2.7-99
%global	sepolgenver	2.7

%global generatorsdir %{_prefix}/lib/systemd/system-generators


Name:		selinux
Version:	2.7
Release:	99.1.%{selinux_release}git%{?dist}.3
Summary:	SELinux Userspace

# Group:		
License:	LGPLv2+
URL:		https://github.com/SELinuxProject/selinux/wiki
%if %{with_fedora}
Source0:	fedora-selinux.tgz
%else
Source0:	SELinuxProject.tgz
%endif
%if %{with_fedora}
# policycoreutils
Source5: selinux-autorelabel
Source6: selinux-autorelabel.service
Source7: selinux-autorelabel-mark.service
Source8: selinux-autorelabel.target
Source9: selinux-autorelabel-generator.sh
%endif
# Patch1:		0001-Fix-build-without-install.patch

BuildRequires:	audit-libs-devel bison bzip2-devel dbus-devel dbus-glib-devel flex flex-devel flex-static glib2-devel libcap-devel libcap-ng-devel pam-devel pcre-devel python-devel setools-python swig xmlto gettext ruby-devel
%if 0%{?with_python3}
BuildRequires: python3 python3-devel setools-python3
%endif # if with_python3

Requires:	libsepol liselinux libsemanage policycoreutils checkpolicy

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.


%package -n libsepol
Summary: SELinux binary policy manipulation library

%description -n libsepol
libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package -n libsepol-devel
Summary: Header files and libraries used to build policy manipulation tools
Group: Development/Libraries
Requires: libsepol%{?_isa} = %{version}-%{release}

%description -n libsepol-devel
The libsepol-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies. 

%package -n libsepol-static
Summary: static libraries used to build policy manipulation tools
Group: Development/Libraries
Requires: libsepol-devel%{?_isa} = %{version}-%{release}

%description -n libsepol-static
The libsepol-static package contains the static libraries and header files
needed for developing applications that manipulate binary policies. 


%package -n libselinux
Summary: SELinux library and simple utilities
%if 0%{?fedora} > 25
BuildRequires: pkgconf-pkg-config
%else
BuildRequires: pkgconfig
%endif

%description -n libselinux
libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions.  Required for any applications that use the SELinux API.

%package -n libselinux-utils
Summary: SELinux libselinux utilies
Group: Development/Libraries
Requires: libselinux%{?_isa} = %{version}-%{release}

%description -n libselinux-utils
The libselinux-utils package contains the utilities

%package -n libselinux-python
Summary: SELinux python bindings for libselinux
Group: Development/Libraries
Requires: libselinux%{?_isa} = %{version}-%{release}

%description -n libselinux-python
The libselinux-python package contains the python bindings for developing 
SELinux applications. 

%if 0%{?with_python3}
%package -n libselinux-python3
Summary: SELinux python 3 bindings for libselinux
Group: Development/Libraries
Requires: libselinux%{?_isa} = %{version}-%{release}

%description -n libselinux-python3
The libselinux-python3 package contains python 3 bindings for developing
SELinux applications. 
%endif # with_python3

%package -n libselinux-ruby
Summary: SELinux ruby bindings for libselinux
Group: Development/Libraries
Requires: libselinux%{?_isa} = %{version}-%{release}
Provides: ruby(selinux)

%description -n libselinux-ruby
The libselinux-ruby package contains the ruby bindings for developing 
SELinux applications. 

%package -n libselinux-devel
Summary: Header files and libraries used to build SELinux
Group: Development/Libraries
Requires: libselinux%{?_isa} = %{version}-%{release}
Requires: libsepol-devel%{?_isa} >= %{libsepolver}

%description -n libselinux-devel
The libselinux-devel package contains the libraries and header files
needed for developing SELinux applications. 

%package -n libselinux-static
Summary: Static libraries used to build SELinux
Group: Development/Libraries
Requires: libselinux-devel%{?_isa} = %{version}-%{release}

%description -n libselinux-static
The libselinux-static package contains the static libraries
needed for developing SELinux applications. 


%package -n libsemanage
Summary: SELinux binary policy manipulation library 

%description -n libsemanage
libsemanage provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package -n libsemanage-static
Summary: Static library used to build policy manipulation tools
Group: Development/Libraries
Requires: libsemanage-devel%{_isa} = %{version}-%{release}

%description -n libsemanage-static
The semanage-static package contains the static libraries 
needed for developing applications that manipulate binary policies. 

%package -n libsemanage-devel
Summary: Header files and libraries used to build policy manipulation tools
Group: Development/Libraries
Requires: libsemanage%{?_isa} = %{version}-%{release} ustr

%description -n libsemanage-devel
The semanage-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies. 

%package -n libsemanage-python
Summary: semanage python bindings for libsemanage
Group: Development/Libraries
Requires: libsemanage%{?_isa} = %{version}-%{release}

%description -n libsemanage-python
The libsemanage-python package contains the python bindings for developing 
SELinux management applications. 

%if 0%{?with_python3}
%package -n libsemanage-python3
Summary: semanage python 3 bindings for libsemanage
Group: Development/Libraries
Requires: libsemanage%{?_isa} = %{version}-%{release}
Requires: libselinux-python3

%description -n libsemanage-python3
The libsemanage-python3 package contains the python 3 bindings for developing
SELinux management applications.
%endif # if with_python3

%package -n libsemanage-ruby
Summary: SELinux ruby bindings for libsemanage
Group: Development/Libraries
Requires: libsemanage%{?_isa} = %{version}-%{release}
Provides: ruby(semanage)

%description -n libsemanage-ruby
The libsemanage-ruby package contains the ruby bindings for developing 
SELinux applications. 


%package -n policycoreutils
Summary: SELinux policy core utilities
Provides: /sbin/fixfiles
Provides: /sbin/restorecon
Requires: libsepol >= %{libsepolver} coreutils libselinux-utils >=  %{libselinuxver}

%description -n policycoreutils
policycoreutils contains the policy core utilities that are required
for basic operation of a SELinux system.  These utilities include
load_policy to load policies, setfiles to label filesystems, newrole
to switch roles.

%files -n policycoreutils -f policycoreutils.lang
%{_sbindir}/restorecon
%{_sbindir}/restorecon_xattr
%{_sbindir}/fixfiles
%{_sbindir}/setfiles
%{_sbindir}/load_policy
%{_sbindir}/genhomedircon
%{_sbindir}/setsebool
%{_sbindir}/semodule
%{_sbindir}/sestatus
%{_bindir}/secon
%{_libexecdir}/selinux/hll
%if %{with_fedora}
%{_libexecdir}/selinux/selinux-autorelabel
%{_unitdir}/selinux-autorelabel-mark.service
%{_unitdir}/basic.target.wants/selinux-autorelabel-mark.service
%{_unitdir}/selinux-autorelabel.service
%{_unitdir}/selinux-autorelabel.target
%{generatorsdir}/selinux-autorelabel-generator.sh
%endif
%config(noreplace) %{_sysconfdir}/sestatus.conf
# selinux-policy Requires: policycoreutils, so we own this set of directories and our files within them
%{_mandir}/man5/selinux_config.5.gz
%{_mandir}/man5/sestatus.conf.5.gz
%{_mandir}/man8/fixfiles.8*
# %{_mandir}/ru/man8/fixfiles.8*
%{_mandir}/man8/load_policy.8*
# %{_mandir}/ru/man8/load_policy.8*
%{_mandir}/man8/restorecon.8*
# %{_mandir}/ru/man8/restorecon.8*
%{_mandir}/man8/restorecon_xattr.8*
%{_mandir}/man8/semodule.8*
# %{_mandir}/ru/man8/semodule.8*
%{_mandir}/man8/sestatus.8*
# %{_mandir}/ru/man8/sestatus.8*
%{_mandir}/man8/setfiles.8*
# %{_mandir}/ru/man8/setfiles.8*
%{_mandir}/man8/setsebool.8*
# %{_mandir}/ru/man8/setsebool.8*
%{_mandir}/man1/secon.1*
# %{_mandir}/ru/man1/secon.1*
%{_mandir}/man8/genhomedircon.8*
#%{!?_licensedir:%global license %%doc}
#%license policycoreutils/COPYING
# %doc %{_usr}/share/doc/%{name}


%package -n policycoreutils-python-utils
Summary:    SELinux policy core python utilities
Requires:   policycoreutils-python3 = %{version}-%{release}
Obsoletes:  policycoreutils-python <= 2.4-4

%description -n policycoreutils-python-utils
The policycoreutils-python-utils package contains the management tools use to manage
an SELinux environment.

%files -n policycoreutils-python-utils
%{_sbindir}/semanage
%{_bindir}/chcat
%{_bindir}/sandbox
%{_bindir}/audit2allow
%{_bindir}/audit2why
%{_mandir}/man1/audit2allow.1*
# %{_mandir}/ru/man1/audit2allow.1*
%{_bindir}/semodule_package
%{_mandir}/man8/semodule_package.8*
# %{_mandir}/ru/man8/semodule_package.8*
%{_mandir}/man1/audit2why.1*
%{_sysconfdir}/dbus-1/system.d/org.selinux.conf
%{_mandir}/man8/chcat.8*
# %{_mandir}/ru/man8/chcat.8*
%{_mandir}/man8/sandbox.8*
%{_mandir}/man8/semanage*.8*
# %{_mandir}/ru/man8/semanage.8*
%{_datadir}/bash-completion/completions/semanage
%{_datadir}/bash-completion/completions/setsebool

%if 0%{?with_python3}
%package -n policycoreutils-python3
Summary: SELinux policy core python3 interfaces
Group:	 System Environment/Base
Requires:policycoreutils = %{version}-%{release}
Requires:libsemanage-python3 >= %{libsemanagever} libselinux-python3 libcgroup
Requires:audit-libs-python3 >=  %{libauditver}
Requires: python-IPy-python3
Requires: checkpolicy
Requires: setools-python3

%description -n policycoreutils-python3
The policycoreutils-python3 package contains the interfaces that can be used
by python 3 in an SELinux environment.

%files -n policycoreutils-python3
%{python3_sitearch}/seobject.py*
%{python3_sitearch}/__pycache__
%{python3_sitearch}/sepolgen
%{python3_sitelib}/sepolicy/templates
%dir %{python3_sitelib}/sepolicy/help
%{python3_sitelib}/sepolicy/help/*
%{python3_sitelib}/sepolicy/__init__.py*
%{python3_sitelib}/sepolicy/booleans.py*
%{python3_sitelib}/sepolicy/communicate.py*
%{python3_sitelib}/sepolicy/generate.py*
%{python3_sitelib}/sepolicy/interface.py*
%{python3_sitelib}/sepolicy/manpage.py*
%{python3_sitelib}/sepolicy/network.py*
%{python3_sitelib}/sepolicy/transition.py*
%{python3_sitelib}/sepolicy/sedbus.py*
%{python3_sitelib}/sepolicy*.egg-info
%{python3_sitelib}/sepolicy/__pycache__
%endif

%package -n policycoreutils-python
Summary: SELinux policy core python utilities
Group:	 System Environment/Base
Requires:policycoreutils = %{version}-%{release}
Requires:libsemanage-python >= %{libsemanagever} libselinux-python libcgroup
Requires:audit-libs-python >=  %{libauditver}
Obsoletes: policycoreutils < 2.0.61-2
Requires: python-IPy
Requires: checkpolicy
Requires: setools-python

%description -n policycoreutils-python
The policycoreutils-python package contains the management tools use to manage
an SELinux environment.

%files -n policycoreutils-python
%{python_sitearch}/seobject.py*
%{python_sitearch}/sepolgen
%{python_sitelib}/sepolicy/templates
%{python_sitelib}/sepolicy/__init__.py*
%{python_sitelib}/sepolicy/booleans.py*
%{python_sitelib}/sepolicy/communicate.py*
%{python_sitelib}/sepolicy/generate.py*
%{python_sitelib}/sepolicy/interface.py*
%{python_sitelib}/sepolicy/manpage.py*
%{python_sitelib}/sepolicy/network.py*
%{python_sitelib}/sepolicy/transition.py*
%{python_sitelib}/sepolicy/sedbus.py*
%{python_sitelib}/sepolicy*.egg-info

%package -n policycoreutils-devel
Summary: SELinux policy core policy devel utilities
Group:	 System Environment/Base
Requires: policycoreutils-python-utils = %{version}-%{release}
Requires: /usr/bin/make dnf
Requires: selinux-policy-devel

%description -n policycoreutils-devel
The policycoreutils-devel package contains the management tools use to develop policy in an SELinux environment.

%files -n policycoreutils-devel
%{_bindir}/sepolgen
%{_bindir}/sepolgen-ifgen
%{_bindir}/sepolgen-ifgen-attr-helper
%dir  /var/lib/sepolgen
/var/lib/sepolgen/perm_map
%{_bindir}/sepolicy
%{_mandir}/man8/sepolgen.8*
%{_mandir}/man8/sepolicy-booleans.8*
%{_mandir}/man8/sepolicy-generate.8*
%{_mandir}/man8/sepolicy-interface.8*
%{_mandir}/man8/sepolicy-network.8*
%{_mandir}/man8/sepolicy.8*
%{_mandir}/man8/sepolicy-communicate.8*
%{_mandir}/man8/sepolicy-manpage.8*
%{_mandir}/man8/sepolicy-transition.8*
%{_usr}/share/bash-completion/completions/sepolicy
%{_bindir}/semodule_deps
%{_bindir}/semodule_expand
%{_bindir}/semodule_link
%{_bindir}/semodule_unpackage
%{_mandir}/man8/semodule_deps.8*
# %{_mandir}/ru/man8/semodule_deps.8*
%{_mandir}/man8/semodule_expand.8*
# %{_mandir}/ru/man8/semodule_expand.8*
%{_mandir}/man8/semodule_link.8*
# %{_mandir}/ru/man8/semodule_link.8*
%{_mandir}/man8/semodule_unpackage.8*

%package -n policycoreutils-sandbox
Summary: SELinux sandbox utilities
Group:	 System Environment/Base
%if 0%{?with_python3}
Requires: policycoreutils-python3 = %{version}-%{release}
%else
Requires: policycoreutils-python = %{version}-%{release}
%endif
Requires: xorg-x11-server-Xephyr >= 1.14.1-2 /usr/bin/rsync /usr/bin/xmodmap
Requires: openbox
BuildRequires: libcap-ng-devel

%description -n policycoreutils-sandbox
The policycoreutils-sandbox package contains the scripts to create graphical
sandboxes

%files -n policycoreutils-sandbox
%config(noreplace) %{_sysconfdir}/sysconfig/sandbox
%{_datadir}/sandbox/sandboxX.sh
%{_datadir}/sandbox/start
%caps(cap_setpcap,cap_setuid,cap_fowner,cap_dac_override,cap_sys_admin,cap_sys_nice=pe) %{_sbindir}/seunshare
%{_mandir}/man8/seunshare.8*
%{_mandir}/man5/sandbox.5*

%package -n policycoreutils-newrole
Summary: The newrole application for RBAC/MLS
Group: System Environment/Base
Requires: policycoreutils = %{version}-%{release}

%description -n policycoreutils-newrole
RBAC/MLS policy machines require newrole as a way of changing the role
or level of a logged in user.

%files -n policycoreutils-newrole
%attr(0755,root,root) %caps(cap_dac_read_search,cap_setpcap,cap_audit_write,cap_sys_admin,cap_fowner,cap_chown,cap_dac_override=pe) %{_bindir}/newrole
%{_mandir}/man1/newrole.1.gz
%config(noreplace) %{_sysconfdir}/pam.d/newrole

%package -n policycoreutils-gui
Summary: SELinux configuration GUI
Group: System Environment/Base
Requires: policycoreutils-devel = %{version}-%{release}, policycoreutils-python = %{version}-%{release}
Requires: gnome-python2 gnome-python2-gnome, pygtk2, pygtk2-libglade, gnome-python2-canvas
Requires: usermode-gtk
Requires: python >= 2.6, python-slip-dbus
BuildRequires: desktop-file-utils

%description -n policycoreutils-gui
system-config-selinux is a utility for managing the SELinux environment

%files -n policycoreutils-gui
%{_bindir}/system-config-selinux
# %{_bindir}/selinux-polgengui
%{_datadir}/system-config-selinux/sepolicy.desktop
%{_datadir}/system-config-selinux/system-config-selinux.desktop
%{_datadir}/system-config-selinux/selinux-polgengui.desktop
%{_datadir}/icons/hicolor/24x24/apps/system-config-selinux.png
%{_datadir}/pixmaps/system-config-selinux.png
%dir %{_datadir}/system-config-selinux
%{_datadir}/system-config-selinux/system-config-selinux.png
%{_datadir}/system-config-selinux/*.py*
%{_datadir}/system-config-selinux/*.glade
%{python_sitelib}/sepolicy/gui.py*
%{python_sitelib}/sepolicy/sepolicy.glade
%dir %{python_sitelib}/sepolicy/help
%{python_sitelib}/sepolicy/help/*
%if 0%{?with_python3}
%{python3_sitelib}/sepolicy/gui.py*
%{python3_sitelib}/sepolicy/sepolicy.glade
%endif
%{_datadir}/icons/hicolor/*/apps/sepolicy.png
%{_datadir}/pixmaps/sepolicy.png
%{_mandir}/man8/system-config-selinux.8*
%{_mandir}/man8/selinux-polgengui.8*
%{_mandir}/man8/sepolicy-gui.8*
%{_datadir}/dbus-1/system-services/org.selinux.service
%{_datadir}/polkit-1/actions/org.selinux.policy
%{_datadir}/polkit-1/actions/org.selinux.config.policy

%package -n policycoreutils-restorecond
Summary: SELinux restorecond utilities
Group:	 System Environment/Base
BuildRequires:	systemd-units

%description -n policycoreutils-restorecond
The policycoreutils-restorecond package contains the restorecond service.

%files -n policycoreutils-restorecond
%{_sbindir}/restorecond
%{_unitdir}/restorecond.service
%config(noreplace) %{_sysconfdir}/selinux/restorecond.conf
%config(noreplace) %{_sysconfdir}/selinux/restorecond_user.conf
%{_sysconfdir}/xdg/autostart/restorecond.desktop
%{_datadir}/dbus-1/services/org.selinux.Restorecond.service
%{_mandir}/man8/restorecond.8*
#%{_mandir}/ru/man8/restorecond.8*
%{!?_licensedir:%global license %%doc}
%license policycoreutils/COPYING

%post -n policycoreutils-restorecond
%systemd_post restorecond.service

%preun -n policycoreutils-restorecond
%systemd_preun restorecond.service

%postun -n policycoreutils-restorecond
%systemd_postun_with_restart restorecond.service


%package -n checkpolicy
Summary: SELinux policy compiler

%description -n checkpolicy
This package contains checkpolicy, the SELinux policy compiler.  
Only required for building policies. 


%package -n secilc
Summary:        The SELinux CIL Compiler

%description -n secilc
The SELinux CIL Compiler is a compiler that converts the CIL language as
described on the CIL design wiki into a kernel binary policy file.
Please see the CIL Design Wiki at:
http://github.com/SELinuxProject/cil/wiki/
for more information about the goals and features on the CIL language.

# %package -n secilc-doc
# Summary:        Documentation for the SELinux CIL Compiler
# BuildArch:      noarch
# 
# %description -n secilc-doc
# The SELinux CIL Compiler is a compiler that converts the CIL language as
# described on the CIL design wiki into a kernel binary policy file.
# Please see the CIL Design Wiki at:
# http://github.com/SELinuxProject/cil/wiki/
# for more information about the goals and features on the CIL language.
# 

%package -n mcstrans
Summary: SELinux Translation Daemon
Requires: pcre
Requires(pre): systemd-units
Requires(post):systemd-units
Provides: setransd
Provides: libsetrans


%description -n mcstrans
mcstrans provides an translation daemon to translate SELinux categories 
from internal representations to user defined representation.


%prep
%autosetup -n selinux -p 1

# libsepol
# sparc64 is an -fPIC arch, so we need to fix it here
%ifarch sparc64
sed -i 's/fpic/fPIC/g' libsepol/src/Makefile
%endif

ln -s ../../cil/include/cil libsepol/include/sepol/cil

%build
export CFLAGS="%{optflags} -I`pwd`/libsepol/include -I`pwd`/libselinux/include -I`pwd`/libsemanage/include"
export LDFLAGS="-L`pwd`/libsepol/src -L`pwd`/libselinux/src -L`pwd`/libsemanage/src %{?__global_ldflags}"
make \
    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
    LIBSEPOLA="`pwd`/libsepol/src/libsepol.a"

make -C libselinux \
    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
    LIBSEPOLA="`pwd`/libsepol/src/libsepol.a" \
    PYTHON=%{__python} pywrap

%if 0%{?with_python3}
make -C libsemanage \
    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
    LIBSEPOLA="`pwd`/libsepol/src/libsepol.a" \
    PYTHON=%{__python3} pywrap
%endif


%install
# libselinux
export CFLAGS="%{optflags} -I`pwd`/libsepol/include -I`pwd`/libselinux/include -I`pwd`/libsemanage/include"
export LDFLAGS="-L`pwd`/libsepol/src -L`pwd`/libselinux/src -L`pwd`/libsemanage/src %{?__global_ldflags}"
export DISABLE_RPM="y"

make \
    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
    DESTDIR="%{buildroot}" LIBDIR="%{buildroot}%{_libdir}" \
    SHLIBDIR="%{buildroot}/%{_lib}" BINDIR="%{buildroot}%{_bindir}" \
    SBINDIR="%{buildroot}%{_sbindir}" \
    PYTHON=%{__python} \
    install install-pywrap install-rubywrap

%if 0%{?with_python3}
make \
    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
    DESTDIR="%{buildroot}" LIBDIR="%{buildroot}%{_libdir}" \
    SHLIBDIR="%{buildroot}/%{_lib}" BINDIR="%{buildroot}%{_bindir}" \
    SBINDIR="%{buildroot}%{_sbindir}" \
    PYTHON=%{__python3} \
    install install-pywrap
%endif

# libselinux
mkdir -p %{buildroot}/%{_prefix}/lib/tmpfiles.d/
echo "d /var/run/setrans 0755 root root" > %{buildroot}/%{_prefix}/lib/tmpfiles.d/libselinux.conf

# libsemanage
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir} 
mkdir -p ${RPM_BUILD_ROOT}%{_sharedstatedir}/selinux
mkdir -p ${RPM_BUILD_ROOT}%{_sharedstatedir}/selinux/tmp

%if 0%{?with_python3}
sed -i '1s%\(#! */usr/bin/python\)\([^3].*\|\)$%\13\2%' %{buildroot}%{_libexecdir}/selinux/semanage_migrate_store
%endif

# policycoreutils
%find_lang policycoreutils
%if %{with_fedora}
# https://bugzilla.redhat.com/show_bug.cgi?id=1328825
mkdir   -m 755 -p %{buildroot}/%{_unitdir}/basic.target.wants/
mkdir   -m 755 -p %{buildroot}/%{generatorsdir}
install -m 644 -p %{SOURCE6} %{buildroot}/%{_unitdir}/
install -m 644 -p %{SOURCE7} %{buildroot}/%{_unitdir}/
install -m 644 -p %{SOURCE8} %{buildroot}/%{_unitdir}/
install -m 755 -p %{SOURCE9} %{buildroot}/%{generatorsdir}/
install -m 755 -p %{SOURCE5} %{buildroot}/%{_libexecdir}/selinux/
ln -s ../selinux-autorelabel-mark.service %{buildroot}/%{_unitdir}/basic.target.wants/
%endif

%if 0%{?with_python3}
# change /usr/bin/python3 to /usr/bin/python in policycoreutils-python
find %{buildroot}%{python_sitelib} %{buildroot}%{python_sitearch} -type f | xargs \
	sed -i '1s%\(#! */usr/bin/python\)3%\1%'

# change /usr/bin/python to %{__python3} in policycoreutils-python3
find %{buildroot}%{python3_sitelib} %{buildroot}%{python3_sitearch} -type f | xargs \
	sed -i '1s%\(#! *\)/usr/bin/python\([^3].*\|\)$%\1%{__python3}\2%'

# change /usr/bin/python to /usr/bin/python3 in python-utils
sed -i '1s%\(#! *\)/usr/bin/python\([^3].*\|\)$%\1%{__python3}\2%' \
	%{buildroot}%{_sbindir}/semanage \
	%{buildroot}%{_bindir}/chcat \
	%{buildroot}%{_bindir}/sandbox \
	%{buildroot}%{_bindir}/audit2allow \
	%{buildroot}%{_bindir}/audit2why \
	%{buildroot}%{_bindir}/sepolicy \
	%{buildroot}%{_bindir}/sepolgen{,-ifgen} \
	%nil
%endif

rm -f %{buildroot}/usr/share/man/ru/man8/genhomedircon.8.gz
rm -f %{buildroot}/usr/share/man/ru/man8/open_init_pty.8.gz
rm -f %{buildroot}/usr/share/man/man8/open_init_pty.8
rm -f %{buildroot}/usr/sbin/open_init_pty
rm -f %{buildroot}/usr/sbin/run_init
rm -f %{buildroot}/usr/share/man/ru/man8/run_init.8*
rm -f %{buildroot}/usr/share/man/man8/run_init.8*
rm -f %{buildroot}/etc/pam.d/run_init*
rm -rf %{buildroot}/%{_sysconfdir}/rc.d/init.d/restorecond


# checkpolicy
install checkpolicy/test/dismod ${RPM_BUILD_ROOT}%{_bindir}/sedismod
install checkpolicy/test/dispol ${RPM_BUILD_ROOT}%{_bindir}/sedispol

# mcstrans
rm -rf %{buildroot}/%{_sysconfdir}/rc.d/init.d/mcstrans

%post -n libsepol -p /sbin/ldconfig

%postun -n libsepol -p /sbin/ldconfig

%post -n libselinux -p /sbin/ldconfig

%postun -n libselinux -p /sbin/ldconfig

%files -n libsepol-static
%defattr(-,root,root)
%{_libdir}/libsepol.a

%files -n libsepol-devel
%defattr(-,root,root)
%{_libdir}/libsepol.so
%{_libdir}/pkgconfig/libsepol.pc
%{_includedir}/sepol/*.h
%{_mandir}/man3/*
%dir %{_includedir}/sepol
%dir %{_includedir}/sepol/policydb
%{_includedir}/sepol/policydb/*.h
%dir %{_includedir}/sepol/cil
%{_includedir}/sepol/cil/*.h

%files -n libsepol
%defattr(-,root,root)
#%{!?_licensedir:%global license %%doc}
#%license libsepol/COPYING
/%{_lib}/libsepol.so.1
%{_bindir}/chkcon


%files -n libselinux
%defattr(-,root,root,-)
#%license libselinux/LICENSE
/%{_lib}/libselinux.so.*
%ghost /var/run/setrans
%{_sbindir}/sefcontext_compile
%{_prefix}/lib/tmpfiles.d/libselinux.conf

%files -n libselinux-utils
%defattr(-,root,root,-)
%{_sbindir}/avcstat
%{_sbindir}/getenforce
%{_sbindir}/getsebool
%{_sbindir}/matchpathcon
# %{_sbindir}/selinuxconlist
# %{_sbindir}/selinuxdefcon
%{_sbindir}/selinuxexeccon
%{_sbindir}/selinuxenabled
%{_sbindir}/setenforce
%{_sbindir}/selabel_digest
%{_sbindir}/selabel_lookup
%{_sbindir}/selabel_lookup_best_match
%{_sbindir}/selabel_partial_match
%{_sbindir}/selinux_check_access
%{_sbindir}/compute_av
%{_sbindir}/compute_create
%{_sbindir}/compute_member
%{_sbindir}/compute_relabel
%{_sbindir}/compute_user
%{_sbindir}/getconlist
%{_sbindir}/getdefaultcon
%{_sbindir}/getfilecon
%{_sbindir}/getpidcon
%{_sbindir}/getseuser
%{_sbindir}/mcstransd
%{_sbindir}/policyvers
%{_sbindir}/selinux_check_securetty_context
%{_sbindir}/setfilecon
%{_sbindir}/togglesebool

%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n libselinux-devel
%defattr(-,root,root,-)
%{_libdir}/libselinux.so
%{_libdir}/pkgconfig/libselinux.pc
%if %{with_fedora}
%dir %{_libdir}/golang/src/pkg/github.com/selinux
%{_libdir}/golang/src/pkg/github.com/selinux/selinux.go
%endif
%dir %{_includedir}/selinux
%{_includedir}/selinux/*
%{_mandir}/man3/*

%files -n libselinux-static
%defattr(-,root,root,-)
%{_libdir}/libselinux.a

%files -n libselinux-python
%defattr(-,root,root,-)
%dir %{python_sitearch}/selinux
%{python_sitearch}/_selinux.so
%{python_sitearch}/selinux/*

%if 0%{?with_python3}
%files -n libselinux-python3
%defattr(-,root,root,-)
%dir %{python3_sitearch}/selinux
%dir %{python3_sitearch}/selinux/__pycache__
%{python3_sitearch}/selinux/*.py*
%{python3_sitearch}/_selinux.cpython*.so
%{python3_sitearch}/selinux/*.so
%{python3_sitearch}/selinux/__pycache__/*
%endif with_python3

%files -n libselinux-ruby
%defattr(-,root,root,-)
%{ruby_vendorarchdir}/selinux.so

%files -n libsemanage-ruby
%defattr(-,root,root,-)
%{ruby_vendorarchdir}/semanage.so

%files -n libsemanage
%defattr(-,root,root)
#%{!?_licensedir:%global license %%doc}
#%license libsemanage/COPYING
%dir %{_sysconfdir}/selinux
%config(noreplace) %{_sysconfdir}/selinux/semanage.conf
%{_libdir}/libsemanage.so.1
%{_mandir}/man5/*
%dir %{_libexecdir}/selinux
%dir %{_sharedstatedir}/selinux
%dir %{_sharedstatedir}/selinux/tmp

%post -n libsemanage -p /sbin/ldconfig

%postun -n libsemanage -p /sbin/ldconfig

%files -n libsemanage-static
%defattr(-,root,root)
%{_libdir}/libsemanage.a

%files -n libsemanage-devel
%defattr(-,root,root)
%{_libdir}/libsemanage.so
%{_libdir}/pkgconfig/libsemanage.pc
%dir %{_includedir}/semanage
%{_includedir}/semanage/*.h
%{_mandir}/man3/*

%files -n libsemanage-python
%defattr(-,root,root)
%{python_sitearch}/_semanage.so
%{python_sitearch}/semanage.py*
%if ! %{with_python3}
%{_libexecdir}/selinux/semanage_migrate_store
%endif

%if 0%{?with_python3}
%files -n libsemanage-python3
%defattr(-,root,root)
%{python3_sitearch}/_semanage.cpython*.so
%{python3_sitearch}/semanage.py*
%{python3_sitearch}/__pycache__/semanage*
%{_libexecdir}/selinux/semanage_migrate_store
%endif # if with_python3


%files -n checkpolicy
%defattr(-,root,root)
#%{!?_licensedir:%global license %%doc}
#%license checkpolicy/COPYING
%{_bindir}/checkpolicy
%{_bindir}/checkmodule
%{_mandir}/man8/checkpolicy.8.gz
%{_mandir}/man8/checkmodule.8.gz
%{_bindir}/sedismod
%{_bindir}/sedispol


%files -n secilc
%{_bindir}/secilc
%{_bindir}/secil2conf
%{_mandir}/man8/secilc.8.gz
#%license secilc/COPYING

# %files -n secilc-doc
# %doc docs/html
# %doc docs/pdf
# #%license secilc/COPYING

%post -n mcstrans
if [ $1 -eq 1 ] ; then
   /usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun -n mcstrans
if [ $1 -eq 0 ]; then
   /usr/bin/systemctl --no-reload mcstransd.service >/dev/null 2>&1 || :
   /usr/bin/systemctl stop mcstransd.service > /dev/null 2>&1 || :
fi

%postun -n mcstrans
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ]; then
    /usr/bin/systemctl try-restart mcstransd.service >/dev/null 2>&1 || :
fi

%files -n mcstrans
%defattr(-,root,root,0755)
%{_mandir}/man8/mcs.8.gz
%{_mandir}/man8/mcstransd.8.gz
%{_mandir}/man8/setrans.conf.8.gz
/usr/sbin/mcstransd
%{_unitdir}/mcstrans.service


%changelog
* Fri Sep 22 2017 Petr Lautrbach <plautrba@redhat.com> - 2.7-99.1.20170922git.3
- 8f0ea463bc4d60da04c98c921bd0dd8f348066b1

* Thu Sep 21 2017 Petr Lautrbach <plautrba@redhat.com> - 2.7-99.1.20170921git.2
- 77059c39e8a06743de9a15fb4501dac85ae0f889

* Wed Sep 13 2017 Petr Lautrbach <plautrba@redhat.com> - 2.7-99.1.20170913git.1
- 7e9d1344db33533eeb4e807f270f4406944562ec


